com.genesyslab.wfm7.API.service.adherence712

## Class AdhEvent

- java.lang.Object
- - com.genesyslab.wfm7.API.service.adherence712.AdhEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhEvent
      extends java.lang.Object
      implements java.io.Serializable

  The historical Agent State information can be compared against published agent schedule to monitor agent's adherence to schedule. The rules of Agent State adherence or non-adherence to specific scheduled agent states are completely user-configurable and can be accessed from Configuration Service. A timeframe when agent state is non-adherent (or adherent) to published schedule state is named Adherence Event. The Adherence Service provides interface for accessing dynamically generated Adherence Event records for the given time period.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private AdhAgentState[]` | `wmAgentStates` An array of `AdhAgentState` for the duration of event
    `private int` | `wmAgentStatesNSizeIs` Number of elements in wmAgentStates array
    `private double` | `wmEndDateTime` Event end date/time `OleDateTime`
    `private SchAgentState[]` | `wmSchStates` An array of `SchAgentState` for the duration of event
    `private int` | `wmSchStatesNSizeIs` Number of elements in wmSchStates array
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private double` | `wmStartDateTime` Event start date/time `OleDateTime`
    `private int` | `wmStatus` Event Status `EAdhEventStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhEvent()`
    `AdhEvent(int wmSiteId, int gswAgentId, double wmStartDateTime, double wmEndDateTime, int wmAgentStatesNSizeIs, AdhAgentState[] wmAgentStates, int wmSchStatesNSizeIs, SchAgentState[] wmSchStates, int wmStatus)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this AdhEvent.
    `AdhAgentState[]` | `getWmAgentStates()` Gets the wmAgentStates value for this AdhEvent.
    `int` | `getWmAgentStatesNSizeIs()` Gets the wmAgentStatesNSizeIs value for this AdhEvent.
    `double` | `getWmEndDateTime()` Gets the wmEndDateTime value for this AdhEvent.
    `SchAgentState[]` | `getWmSchStates()` Gets the wmSchStates value for this AdhEvent.
    `int` | `getWmSchStatesNSizeIs()` Gets the wmSchStatesNSizeIs value for this AdhEvent.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this AdhEvent.
    `double` | `getWmStartDateTime()` Gets the wmStartDateTime value for this AdhEvent.
    `int` | `getWmStatus()` Gets the wmStatus value for this AdhEvent.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this AdhEvent.
    `void` | `setWmAgentStates(AdhAgentState[] wmAgentStates)` Sets the wmAgentStates value for this AdhEvent.
    `void` | `setWmAgentStatesNSizeIs(int wmAgentStatesNSizeIs)` Sets the wmAgentStatesNSizeIs value for this AdhEvent.
    `void` | `setWmEndDateTime(double wmEndDateTime)` Sets the wmEndDateTime value for this AdhEvent.
    `void` | `setWmSchStates(SchAgentState[] wmSchStates)` Sets the wmSchStates value for this AdhEvent.
    `void` | `setWmSchStatesNSizeIs(int wmSchStatesNSizeIs)` Sets the wmSchStatesNSizeIs value for this AdhEvent.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this AdhEvent.
    `void` | `setWmStartDateTime(double wmStartDateTime)` Sets the wmStartDateTime value for this AdhEvent.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this AdhEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          private int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmStartDateTime

          private double wmStartDateTime

      Event start date/time `OleDateTime`

    - #### wmEndDateTime

          private double wmEndDateTime

      Event end date/time `OleDateTime`

    - #### wmAgentStatesNSizeIs

          private int wmAgentStatesNSizeIs

      Number of elements in wmAgentStates array

    - #### wmAgentStates

          private AdhAgentState[] wmAgentStates

      An array of `AdhAgentState` for the duration of event

    - #### wmSchStatesNSizeIs

          private int wmSchStatesNSizeIs

      Number of elements in wmSchStates array

    - #### wmSchStates

          private SchAgentState[] wmSchStates

      An array of `SchAgentState` for the duration of event

    - #### wmStatus

          private int wmStatus

      Event Status `EAdhEventStatus`

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AdhEvent

          public AdhEvent()

    - #### AdhEvent

          public AdhEvent(int wmSiteId,
                  int gswAgentId,
                  double wmStartDateTime,
                  double wmEndDateTime,
                  int wmAgentStatesNSizeIs,
                  AdhAgentState[] wmAgentStates,
                  int wmSchStatesNSizeIs,
                  SchAgentState[] wmSchStates,
                  int wmStatus)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this AdhEvent.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this AdhEvent.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this AdhEvent.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this AdhEvent.
      Parameters:
        `gswAgentId` -

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the wmStartDateTime value for this AdhEvent.
      Returns:
        wmStartDateTime

    - #### setWmStartDateTime

          public void setWmStartDateTime(double wmStartDateTime)

      Sets the wmStartDateTime value for this AdhEvent.
      Parameters:
        `wmStartDateTime` -

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the wmEndDateTime value for this AdhEvent.
      Returns:
        wmEndDateTime

    - #### setWmEndDateTime

          public void setWmEndDateTime(double wmEndDateTime)

      Sets the wmEndDateTime value for this AdhEvent.
      Parameters:
        `wmEndDateTime` -

    - #### getWmAgentStatesNSizeIs

          public int getWmAgentStatesNSizeIs()

      Gets the wmAgentStatesNSizeIs value for this AdhEvent.
      Returns:
        wmAgentStatesNSizeIs

    - #### setWmAgentStatesNSizeIs

          public void setWmAgentStatesNSizeIs(int wmAgentStatesNSizeIs)

      Sets the wmAgentStatesNSizeIs value for this AdhEvent.
      Parameters:
        `wmAgentStatesNSizeIs` -

    - #### getWmAgentStates

          public AdhAgentState[] getWmAgentStates()

      Gets the wmAgentStates value for this AdhEvent.
      Returns:
        wmAgentStates

    - #### setWmAgentStates

          public void setWmAgentStates(AdhAgentState[] wmAgentStates)

      Sets the wmAgentStates value for this AdhEvent.
      Parameters:
        `wmAgentStates` -

    - #### getWmSchStatesNSizeIs

          public int getWmSchStatesNSizeIs()

      Gets the wmSchStatesNSizeIs value for this AdhEvent.
      Returns:
        wmSchStatesNSizeIs

    - #### setWmSchStatesNSizeIs

          public void setWmSchStatesNSizeIs(int wmSchStatesNSizeIs)

      Sets the wmSchStatesNSizeIs value for this AdhEvent.
      Parameters:
        `wmSchStatesNSizeIs` -

    - #### getWmSchStates

          public SchAgentState[] getWmSchStates()

      Gets the wmSchStates value for this AdhEvent.
      Returns:
        wmSchStates

    - #### setWmSchStates

          public void setWmSchStates(SchAgentState[] wmSchStates)

      Sets the wmSchStates value for this AdhEvent.
      Parameters:
        `wmSchStates` -

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this AdhEvent.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this AdhEvent.
      Parameters:
        `wmStatus` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.